<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<?php get_header(); ?>
<?php if ( !is_paged() ) { ?>
	<?php if ( is_home() && $mts_options['mts_featured_slider'] == '1' ) { ?>
	<div class="banner clearfix home-slider">
		<section class="slider">
			<div class="owl-carousel big-slider loading">
				<?php
				// prevent implode error
				if ( empty( $mts_options['mts_featured_slider_cat'] ) || !is_array( $mts_options['mts_featured_slider_cat'] ) ) {
					   $mts_options['mts_featured_slider_cat'] = array('0');
				}
				$slider_cat = implode( ",", $mts_options['mts_featured_slider_cat'] );
				$slider_query = new WP_Query('cat='.$slider_cat.'&posts_per_page=7');
				while ( $slider_query->have_posts() ) : $slider_query->the_post(); ?>
				<div class="slider-item">
					<div class="slides-shadow"></div>
					<?php the_post_thumbnail('magxp-slider',array('title' => '')); ?>
					<div class="slide-caption">
						<h2 class="slide-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>"><?php the_title(); ?></a></h2>
							<?php mts_the_postinfo( 'single' ); ?>
					</div>		 
				</div>	
				<?php endwhile; wp_reset_postdata(); ?>
			</div><!-- .big-image-container -->
			<?php if(!empty($mts_options['mts_featured_slider_small_images'])) { ?>
				<div class="thumb-images loading" id="carousel">
					<?php
						$slider_query->rewind_posts();
						while ( $slider_query->have_posts() ) : $slider_query->the_post();
						?>
							<div class="thumb-item"> 
							   <?php the_post_thumbnail('magxp-sliderthumb',array('title' => '')); ?> 
							   <div class="arrowTop"></div>
							</div>
						<?php endwhile; wp_reset_postdata(); ?>
				</div>
			<?php } ?>
		</section>
	</div><!-- .full-slider-container -->
	<?php } ?>
<?php } ?>
<div class="main-container">
	<div id="page" class="clearfix">
		<div class="article">
			<div id="content_box">
				<?php if (is_home() && !is_paged()) { ?>
					<?php if($mts_options['mts_gallery_slider'] == '1' && $mts_options['mts_gallery_position'] == '0') { ?>
						<!-- Gallery Slider -->
						<div class="photo-gallery top clearfix">
							<section class="inner-slider">
								<div class="gallery-slider loading">
									<?php
									// prevent implode error
									if ( empty( $mts_options['mts_gallery_slider_cat'] ) || !is_array( $mts_options['mts_gallery_slider_cat'] ) ) {
										$mts_options['mts_gallery_slider_cat'] = array('0');
									}
									$islider_cat = implode( ",", $mts_options['mts_gallery_slider_cat'] );
									$islider_query = new WP_Query('cat='.$islider_cat.'&posts_per_page=5');
									while ( $islider_query->have_posts() ) : $islider_query->the_post(); ?>
										<div class="slider-item">
											<div class="slides-shadow"></div>
											<?php the_post_thumbnail('magxp-featured-blog',array('title' => '')); ?>
											<div class="slide-caption">
												<h2 class="slide-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>"><?php the_title(); ?></a></h2>
											</div>		 
										</div>	
									<?php endwhile; wp_reset_postdata(); wp_reset_query(); ?>
								</div>
								<?php if(!empty($mts_options['mts_gallery_slider_small_images'])) { ?>
									<div class="ithumb-images loading">
										<?php
										$islider_query->rewind_posts();
										while ( $islider_query->have_posts() ) : $islider_query->the_post(); ?>
											<div class="ithumb-item"> 
												<?php the_post_thumbnail('magxp-sliderthumb',array('title' => '')); ?> 
												<div class="arrowTop"></div>
											</div>
										<?php endwhile; wp_reset_postdata(); wp_reset_query(); ?>
									</div>
								<?php } ?>
							</section>
						</div>
						<!-- End Gallery Slider -->
					<?php } ?>
				<?php } ?>

				<?php if ( !is_paged() ) {
					$featured_categories = array();
					if ( !empty( $mts_options['mts_featured_categories'] ) ) {
						foreach ( $mts_options['mts_featured_categories'] as $section ) {
							$category_id = $section['mts_featured_category'];
							$featured_categories[] = $category_id;
							$posts_num = $section['mts_featured_category_postsnum'];
							if ( 'latest' == $category_id ) { ?>
								<div id="content_box_inner"> 
									<h3 class="featured-category-title"><?php _e('Latest','magxp'); ?></h3>
									<?php $j = 0; if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
										<article class="latestPost excerpt <?php if(!empty($mts_options['mts_homepage_layout'])) { echo "layout-2"; } else { echo "layout-1"; } echo (++$j % 3 == 0) ? ' last' : ''; ?>">
											<?php mts_archive_post(); ?>
										</article>
									<?php endwhile; endif; ?>
								</div>
								
								<?php if ( $j !== 0 ) { // No pagination if there is no posts ?>
									<?php get_template_part( 'templates/archive-pagination' ); ?>
								<?php } ?>
								
							<?php } else { // if $category_id != 'latest': ?>
								<div id="content_box_inner"> 
									<h3 class="featured-category-title"><a href="<?php echo esc_url( get_category_link( $category_id ) ); ?>" title="<?php echo esc_attr( get_cat_name( $category_id ) ); ?>"><?php echo get_cat_name( $category_id ); ?></a></h3>
									<?php $j = 0; $cat_query = new WP_Query('cat='.$category_id.'&posts_per_page='.$posts_num);
									if ( $cat_query->have_posts() ) : while ( $cat_query->have_posts() ) : $cat_query->the_post(); ?>
										<article class="latestPost excerpt <?php if(!empty($mts_options['mts_homepage_layout'])) { echo "layout-2"; } else { echo "layout-1"; } echo (++$j % 3 == 0) ? ' last' : ''; ?>">
											<?php mts_archive_post(); ?>
										</article>
									<?php endwhile; endif; wp_reset_query(); ?>
								</div>
							<?php }
						}
					} ?>
				<?php } else { //Paged
					$j = 0; if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
						<article class="latestPost excerpt <?php if(!empty($mts_options['mts_homepage_layout'])) { echo "layout-2"; } else { echo "layout-1"; } echo (++$j % 3 == 0) ? ' last' : ''; ?>">
							<?php mts_archive_post(); ?>
						</article>
					<?php endwhile; endif;
					if ( $j !== 0 ) { // No pagination if there is no posts
						get_template_part( 'templates/archive-pagination' );
					}
				} ?>

				<?php if (is_home() && !is_paged()) { ?>
					<?php if($mts_options['mts_gallery_slider'] == '1' && $mts_options['mts_gallery_position'] == '1') { ?>
						<!-- Gallery Slider -->
						<div class="photo-gallery bottom clearfix">
							<h3><?php _e('Gallery', 'magxp'); ?></h3>
							<section class="inner-slider">
								<div class="gallery-slider loading">
									<?php
									// prevent implode error
									if ( empty( $mts_options['mts_gallery_slider_cat'] ) || !is_array( $mts_options['mts_gallery_slider_cat'] ) ) {
										$mts_options['mts_gallery_slider_cat'] = array('0');
									}
									$islider_cat = implode( ",", $mts_options['mts_gallery_slider_cat'] );
									$islider_query = new WP_Query('cat='.$islider_cat.'&posts_per_page=5');
									while ( $islider_query->have_posts() ) : $islider_query->the_post(); ?>
										<div class="slider-item">
											<div class="slides-shadow"></div>
											<?php the_post_thumbnail('magxp-featured-blog',array('title' => '')); ?>
											<div class="slide-caption">
												<h2 class="slide-title"><a href="<?php echo esc_url( get_the_permalink() ); ?>"><?php the_title(); ?></a></h2>
											</div>		 
										</div>	
									<?php endwhile; wp_reset_postdata(); wp_reset_query(); ?>
								</div>
								<?php if(!empty($mts_options['mts_gallery_slider_small_images'])) { ?>
									<div class="ithumb-images loading">
										<?php
										$islider_query->rewind_posts();
										while ( $islider_query->have_posts() ) : $islider_query->the_post(); ?>
											<div class="ithumb-item"> 
												<?php the_post_thumbnail('magxp-sliderthumb',array('title' => '')); ?> 
												<div class="arrowTop"></div>
											</div>
										<?php endwhile; wp_reset_postdata(); wp_reset_query(); ?>
									</div>
								<?php } ?>
							</section>
						</div>
						<!-- End Gallery Slider -->
					<?php } ?>
				<?php } ?>
			</div>
		</div>
		<?php get_sidebar(); ?>
	<?php get_footer(); ?>
